libzypp: zypp::Option< Tp > Struct Template Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::Option< Tp > Struct Template Reference

Mutable option. More...

Inheritance diagram for zypp::Option< Tp >:
[legend]

## Public Types
typedef Tp | value_type

## Public Member Functions
| Option (value_type initial_r)
| No default ctor, explicit initialisation! More...
Option & | operator= (value_type newval_r)
const value_type & | get () const
| Get the value. More...
| operator const value_type & () const
| Autoconversion to value_type. More...
void | set (value_type newval_r)
| Set a new value. More...

## Private Attributes
value_type | _val

## Detailed Description

template<class Tp>
struct zypp::Option< Tp >

Mutable option.

Definition at line 234 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ value_type

template<class Tp >

typedef Tp zypp::Option< Tp >::value_type

Definition at line 236 of file ZConfig.cc.

## Constructor & Destructor Documentation

## ◆ Option()

template<class Tp >

zypp::Option< Tp >::Option | ( | value_type | initial_r | ) |
| inline

No default ctor, explicit initialisation!

Definition at line 239 of file ZConfig.cc.

## Member Function Documentation

## ◆ operator=()

template<class Tp >

Option& zypp::Option< Tp >::operator= | ( | value_type | newval_r | ) |
| inline

Definition at line 243 of file ZConfig.cc.

## ◆ get()

template<class Tp >

const value_type& zypp::Option< Tp >::get | ( |  | ) | const
| inline

Get the value.

Definition at line 247 of file ZConfig.cc.

## ◆ operator const value_type &()

template<class Tp >

zypp::Option< Tp >::operator const value_type & | ( |  | ) | const
| inline

Autoconversion to value_type.

Definition at line 251 of file ZConfig.cc.

## ◆ set()

template<class Tp >

void zypp::Option< Tp >::set | ( | value_type | newval_r | ) |
| inline

Set a new value.

Definition at line 255 of file ZConfig.cc.

## Member Data Documentation

## ◆ _val

template<class Tp >

value_type zypp::Option< Tp >::_val
| private

Definition at line 259 of file ZConfig.cc.

The documentation for this struct was generated from the following file:

- zypp/ZConfig.cc